<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="d76e0338-8187-4532-896f-0ced9b76bea7" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/venv/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/Socket$Server_Application.coverage" NAME="Server-Application Coverage Results" MODIFIED="1571146254516" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Socket$Client_Application.coverage" NAME="Client-Application Coverage Results" MODIFIED="1571146258180" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="580" />
    <option name="y" value="191" />
    <option name="width" value="1400" />
    <option name="height" value="1000" />
  </component>
  <component name="ProjectId" id="1SWMRnu3l89rI7z6oaQmeU7OL70" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.Client-Application">
    <configuration name="Client-Application" type="PythonConfigurationType" factoryName="Python">
      <module name="Socket" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/Client-Application.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <configuration name="Server-Application" type="PythonConfigurationType" factoryName="Python">
      <module name="Socket" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/Server-Application.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <list>
      <item itemvalue="Python.Client-Application" />
      <item itemvalue="Python.Server-Application" />
    </list>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d76e0338-8187-4532-896f-0ced9b76bea7" name="Default" comment="" />
      <created>1571143328674</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1571143328674</updated>
      <workItem from="1571674895801" duration="1867000" />
      <workItem from="1571676898265" duration="1590000" />
      <workItem from="1571679043443" duration="1459000" />
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="580" y="191" width="1400" height="1000" extended-state="0" />
    <layout>
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Version Control" show_stripe_button="false" />
      <window_info anchor="bottom" id="Python Console" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info content_ui="combo" id="Project" order="0" weight="0.25" />
      <window_info anchor="bottom" id="Docker" show_stripe_button="false" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="SciView" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info id="Favorites" side_tool="true" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="WindowStateProjectService">
    <state x="503" y="73" key="#Client-Application" timestamp="1571675000341">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state x="503" y="73" key="#Client-Application/0.0.1536.864@0.0.1536.864" timestamp="1571675000341" />
    <state x="548" y="209" key="FileChooserDialogImpl" timestamp="1571680499491">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state x="548" y="209" key="FileChooserDialogImpl/0.0.1536.864@0.0.1536.864" timestamp="1571680499491" />
    <state width="724" height="218" key="GridCell.Tab.0.bottom" timestamp="1571680516393">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state width="724" height="218" key="GridCell.Tab.0.bottom/0.0.1536.864@0.0.1536.864" timestamp="1571680516393" />
    <state width="724" height="218" key="GridCell.Tab.0.center" timestamp="1571680516393">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state width="724" height="218" key="GridCell.Tab.0.center/0.0.1536.864@0.0.1536.864" timestamp="1571680516393" />
    <state width="724" height="218" key="GridCell.Tab.0.left" timestamp="1571680516393">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state width="724" height="218" key="GridCell.Tab.0.left/0.0.1536.864@0.0.1536.864" timestamp="1571680516393" />
    <state width="724" height="218" key="GridCell.Tab.0.right" timestamp="1571680516393">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state width="724" height="218" key="GridCell.Tab.0.right/0.0.1536.864@0.0.1536.864" timestamp="1571680516393" />
    <state x="279" y="77" key="SettingsEditor" timestamp="1571679160727">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state x="279" y="77" key="SettingsEditor/0.0.1536.864@0.0.1536.864" timestamp="1571679160727" />
    <state x="477" y="259" key="com.intellij.ide.util.TipDialog" timestamp="1571679044912">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state x="477" y="259" key="com.intellij.ide.util.TipDialog/0.0.1536.864@0.0.1536.864" timestamp="1571679044912" />
    <state x="383" y="185" width="672" height="678" key="search.everywhere.popup" timestamp="1571676866930">
      <screen x="0" y="0" width="1536" height="864" />
    </state>
    <state x="383" y="185" width="672" height="678" key="search.everywhere.popup/0.0.1536.864@0.0.1536.864" timestamp="1571676866930" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/Socket$Client_Application.coverage" NAME="Client-Application Coverage Results" MODIFIED="1571679818841" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/Socket$Server_Application.coverage" NAME="Server-Application Coverage Results" MODIFIED="1571679816609" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
  </component>
</project>